## org.eclipse.emf.ecore.change
Enum ChangeKind

    java.lang.Object
      java.lang.Enum<ChangeKind>
          org.eclipse.emf.ecore.change.ChangeKind

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ChangeKind>, Enumerator

    public enum ChangeKind

extends java.lang.Enum<ChangeKind>
implements Enumerator

A representation of the literals of the enumeration 'Kind', and utility methods for working with them.

See Also:
  `ChangePackage.getChangeKind()`

Enum Constant Summary
`ADD_LITERAL` The 'ADD' literal object
`MOVE_LITERAL` The 'MOVE' literal object
`REMOVE_LITERAL` The 'REMOVE' literal object

Field Summary
`static int` `ADD` The 'ADD' literal value
`static int` `MOVE` The 'MOVE' literal value
`static int` `REMOVE` The 'REMOVE' literal value
`static java.util.List<ChangeKind>` `VALUES` A public read-only list of all the 'Kind' enumerators

Method Summary
`static ChangeKind` `get(int value)` Returns the 'Kind' literal with the specified integer value
`static ChangeKind` `get(java.lang.String literal)` Returns the 'Kind' literal with the specified literal value
`static ChangeKind` `getByName(java.lang.String name)` Returns the 'Kind' literal with the specified name
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation
`static ChangeKind` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ChangeKind[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ADD_LITERAL

    public static final ChangeKind ADD_LITERAL

  The 'ADD' literal object.

  See Also:
    `ADD`

### REMOVE_LITERAL

    public static final ChangeKind REMOVE_LITERAL

  The 'REMOVE' literal object.

  See Also:
    `REMOVE`

### MOVE_LITERAL

    public static final ChangeKind MOVE_LITERAL

  The 'MOVE' literal object.

  See Also:
    `MOVE`

Field Detail

### ADD

    public static final int ADD

  The 'ADD' literal value.

  See Also:
    `ADD_LITERAL`, Constant Field Values

### REMOVE

    public static final int REMOVE

  The 'REMOVE' literal value.

  See Also:
    `REMOVE_LITERAL`, Constant Field Values

### MOVE

    public static final int MOVE

  The 'MOVE' literal value.

  See Also:
    `MOVE_LITERAL`, Constant Field Values

### VALUES

    public static final java.util.List<ChangeKind> VALUES

  A public read-only list of all the 'Kind' enumerators.

Method Detail

### values

    public static final ChangeKind[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ChangeKind c : ChangeKind.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ChangeKind valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static ChangeKind get(java.lang.String literal)

  Returns the 'Kind' literal with the specified literal value.

### getByName

    public static ChangeKind getByName(java.lang.String name)

  Returns the 'Kind' literal with the specified name.

### get

    public static ChangeKind get(int value)

  Returns the 'Kind' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `Enumerator`
  Returns:
    the value.

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `Enumerator`
  Returns:
    the name.

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `Enumerator`
  Returns:
    the literal.

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<ChangeKind>`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.